import{S as tl,i as ol,s as nl,e as s,k as g,w as A,t as a,M as al,c as i,d as o,m as p,a as l,x as $,h as r,b as c,G as e,g as v,y as k,q as w,o as T,B as y,v as rl,L as Vt}from"../../chunks/vendor-hf-doc-builder.js";import{T as nn}from"../../chunks/Tip-hf-doc-builder.js";import{D as z}from"../../chunks/Docstring-hf-doc-builder.js";import{C as Lt}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as fe}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Nt}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function sl(x){let d,b,h,f,_;return f=new Lt({props:{code:`from transformers import AlignConfig, AlignModel

# Initializing a AlignConfig with kakaobrain/align-base style configuration
configuration = AlignConfig()

# Initializing a AlignModel (with random weights) from the kakaobrain/align-base style configuration
model = AlignModel(configuration)

# Accessing the model configuration
configuration = model.config

# We can also initialize a AlignConfig from a AlignTextConfig and a AlignVisionConfig
from transformers import AlignTextConfig, AlignVisionConfig

# Initializing ALIGN Text and Vision configurations
config_text = AlignTextConfig()
config_vision = AlignVisionConfig()

config = AlignConfig.from_text_vision_configs(config_text, config_vision)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AlignConfig, AlignModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a AlignConfig with kakaobrain/align-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = AlignConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a AlignModel (with random weights) from the kakaobrain/align-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlignModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># We can also initialize a AlignConfig from a AlignTextConfig and a AlignVisionConfig</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AlignTextConfig, AlignVisionConfig

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing ALIGN Text and Vision configurations</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>config_text = AlignTextConfig()
<span class="hljs-meta">&gt;&gt;&gt; </span>config_vision = AlignVisionConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span>config = AlignConfig.from_text_vision_configs(config_text, config_vision)`}}),{c(){d=s("p"),b=a("Example:"),h=g(),A(f.$$.fragment)},l(n){d=i(n,"P",{});var m=l(d);b=r(m,"Example:"),m.forEach(o),h=p(n),$(f.$$.fragment,n)},m(n,m){v(n,d,m),e(d,b),v(n,h,m),k(f,n,m),_=!0},p:Vt,i(n){_||(w(f.$$.fragment,n),_=!0)},o(n){T(f.$$.fragment,n),_=!1},d(n){n&&o(d),n&&o(h),y(f,n)}}}function il(x){let d,b,h,f,_;return f=new Lt({props:{code:`from transformers import AlignTextConfig, AlignTextModel

# Initializing a AlignTextConfig with kakaobrain/align-base style configuration
configuration = AlignTextConfig()

# Initializing a AlignTextModel (with random weights) from the kakaobrain/align-base style configuration
model = AlignTextModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AlignTextConfig, AlignTextModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a AlignTextConfig with kakaobrain/align-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = AlignTextConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a AlignTextModel (with random weights) from the kakaobrain/align-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlignTextModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){d=s("p"),b=a("Example:"),h=g(),A(f.$$.fragment)},l(n){d=i(n,"P",{});var m=l(d);b=r(m,"Example:"),m.forEach(o),h=p(n),$(f.$$.fragment,n)},m(n,m){v(n,d,m),e(d,b),v(n,h,m),k(f,n,m),_=!0},p:Vt,i(n){_||(w(f.$$.fragment,n),_=!0)},o(n){T(f.$$.fragment,n),_=!1},d(n){n&&o(d),n&&o(h),y(f,n)}}}function ll(x){let d,b,h,f,_;return f=new Lt({props:{code:`from transformers import AlignVisionConfig, AlignVisionModel

# Initializing a AlignVisionConfig with kakaobrain/align-base style configuration
configuration = AlignVisionConfig()

# Initializing a AlignVisionModel (with random weights) from the kakaobrain/align-base style configuration
model = AlignVisionModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AlignVisionConfig, AlignVisionModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a AlignVisionConfig with kakaobrain/align-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = AlignVisionConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a AlignVisionModel (with random weights) from the kakaobrain/align-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlignVisionModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){d=s("p"),b=a("Example:"),h=g(),A(f.$$.fragment)},l(n){d=i(n,"P",{});var m=l(d);b=r(m,"Example:"),m.forEach(o),h=p(n),$(f.$$.fragment,n)},m(n,m){v(n,d,m),e(d,b),v(n,h,m),k(f,n,m),_=!0},p:Vt,i(n){_||(w(f.$$.fragment,n),_=!0)},o(n){T(f.$$.fragment,n),_=!1},d(n){n&&o(d),n&&o(h),y(f,n)}}}function dl(x){let d,b,h,f,_;return{c(){d=s("p"),b=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=s("code"),f=a("Module"),_=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){d=i(n,"P",{});var m=l(d);b=r(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=i(m,"CODE",{});var C=l(h);f=r(C,"Module"),C.forEach(o),_=r(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,d,m),e(d,b),e(d,h),e(h,f),e(d,_)},d(n){n&&o(d)}}}function cl(x){let d,b,h,f,_;return{c(){d=s("p"),b=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=s("code"),f=a("Module"),_=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){d=i(n,"P",{});var m=l(d);b=r(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=i(m,"CODE",{});var C=l(h);f=r(C,"Module"),C.forEach(o),_=r(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,d,m),e(d,b),e(d,h),e(h,f),e(d,_)},d(n){n&&o(d)}}}function ml(x){let d,b,h,f,_;return f=new Lt({props:{code:`from transformers import AutoTokenizer, AlignModel

model = AlignModel.from_pretrained("kakaobrain/align-base")
tokenizer = AutoTokenizer.from_pretrained("kakaobrain/align-base")

inputs = tokenizer(["a photo of a cat", "a photo of a dog"], padding=True, return_tensors="pt")
text_features = model.get_text_features(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, AlignModel

<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlignModel.from_pretrained(<span class="hljs-string">&quot;kakaobrain/align-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;kakaobrain/align-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer([<span class="hljs-string">&quot;a photo of a cat&quot;</span>, <span class="hljs-string">&quot;a photo of a dog&quot;</span>], padding=<span class="hljs-literal">True</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>text_features = model.get_text_features(**inputs)`}}),{c(){d=s("p"),b=a("Examples:"),h=g(),A(f.$$.fragment)},l(n){d=i(n,"P",{});var m=l(d);b=r(m,"Examples:"),m.forEach(o),h=p(n),$(f.$$.fragment,n)},m(n,m){v(n,d,m),e(d,b),v(n,h,m),k(f,n,m),_=!0},p:Vt,i(n){_||(w(f.$$.fragment,n),_=!0)},o(n){T(f.$$.fragment,n),_=!1},d(n){n&&o(d),n&&o(h),y(f,n)}}}function fl(x){let d,b,h,f,_;return{c(){d=s("p"),b=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=s("code"),f=a("Module"),_=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){d=i(n,"P",{});var m=l(d);b=r(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=i(m,"CODE",{});var C=l(h);f=r(C,"Module"),C.forEach(o),_=r(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,d,m),e(d,b),e(d,h),e(h,f),e(d,_)},d(n){n&&o(d)}}}function gl(x){let d,b,h,f,_;return f=new Lt({props:{code:`from PIL import Image
import requests
from transformers import AutoProcessor, AlignModel

model = AlignModel.from_pretrained("kakaobrain/align-base")
processor = AutoProcessor.from_pretrained("kakaobrain/align-base")

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

inputs = processor(images=image, return_tensors="pt")

image_features = model.get_image_features(**inputs)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor, AlignModel

<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlignModel.from_pretrained(<span class="hljs-string">&quot;kakaobrain/align-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;kakaobrain/align-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>image_features = model.get_image_features(**inputs)`}}),{c(){d=s("p"),b=a("Examples:"),h=g(),A(f.$$.fragment)},l(n){d=i(n,"P",{});var m=l(d);b=r(m,"Examples:"),m.forEach(o),h=p(n),$(f.$$.fragment,n)},m(n,m){v(n,d,m),e(d,b),v(n,h,m),k(f,n,m),_=!0},p:Vt,i(n){_||(w(f.$$.fragment,n),_=!0)},o(n){T(f.$$.fragment,n),_=!1},d(n){n&&o(d),n&&o(h),y(f,n)}}}function pl(x){let d,b,h,f,_;return{c(){d=s("p"),b=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=s("code"),f=a("Module"),_=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){d=i(n,"P",{});var m=l(d);b=r(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=i(m,"CODE",{});var C=l(h);f=r(C,"Module"),C.forEach(o),_=r(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,d,m),e(d,b),e(d,h),e(h,f),e(d,_)},d(n){n&&o(d)}}}function hl(x){let d,b,h,f,_;return f=new Lt({props:{code:`from transformers import AutoTokenizer, AlignTextModel

model = AlignTextModel.from_pretrained("kakaobrain/align-base")
tokenizer = AutoTokenizer.from_pretrained("kakaobrain/align-base")

inputs = tokenizer(["a photo of a cat", "a photo of a dog"], padding=True, return_tensors="pt")

outputs = model(**inputs)
last_hidden_state = outputs.last_hidden_state
pooled_output = outputs.pooler_output  # pooled (EOS token) states`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, AlignTextModel

<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlignTextModel.from_pretrained(<span class="hljs-string">&quot;kakaobrain/align-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;kakaobrain/align-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer([<span class="hljs-string">&quot;a photo of a cat&quot;</span>, <span class="hljs-string">&quot;a photo of a dog&quot;</span>], padding=<span class="hljs-literal">True</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_state = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span>pooled_output = outputs.pooler_output  <span class="hljs-comment"># pooled (EOS token) states</span>`}}),{c(){d=s("p"),b=a("Examples:"),h=g(),A(f.$$.fragment)},l(n){d=i(n,"P",{});var m=l(d);b=r(m,"Examples:"),m.forEach(o),h=p(n),$(f.$$.fragment,n)},m(n,m){v(n,d,m),e(d,b),v(n,h,m),k(f,n,m),_=!0},p:Vt,i(n){_||(w(f.$$.fragment,n),_=!0)},o(n){T(f.$$.fragment,n),_=!1},d(n){n&&o(d),n&&o(h),y(f,n)}}}function ul(x){let d,b,h,f,_;return{c(){d=s("p"),b=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=s("code"),f=a("Module"),_=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){d=i(n,"P",{});var m=l(d);b=r(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=i(m,"CODE",{});var C=l(h);f=r(C,"Module"),C.forEach(o),_=r(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,d,m),e(d,b),e(d,h),e(h,f),e(d,_)},d(n){n&&o(d)}}}function _l(x){let d,b,h,f,_;return f=new Lt({props:{code:`from PIL import Image
import requests
from transformers import AutoProcessor, AlignVisionModel

model = AlignVisionModel.from_pretrained("kakaobrain/align-base")
processor = AutoProcessor.from_pretrained("kakaobrain/align-base")

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

inputs = processor(images=image, return_tensors="pt")

outputs = model(**inputs)
last_hidden_state = outputs.last_hidden_state
pooled_output = outputs.pooler_output  # pooled CLS states`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor, AlignVisionModel

<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlignVisionModel.from_pretrained(<span class="hljs-string">&quot;kakaobrain/align-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;kakaobrain/align-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_state = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span>pooled_output = outputs.pooler_output  <span class="hljs-comment"># pooled CLS states</span>`}}),{c(){d=s("p"),b=a("Examples:"),h=g(),A(f.$$.fragment)},l(n){d=i(n,"P",{});var m=l(d);b=r(m,"Examples:"),m.forEach(o),h=p(n),$(f.$$.fragment,n)},m(n,m){v(n,d,m),e(d,b),v(n,h,m),k(f,n,m),_=!0},p:Vt,i(n){_||(w(f.$$.fragment,n),_=!0)},o(n){T(f.$$.fragment,n),_=!1},d(n){n&&o(d),n&&o(h),y(f,n)}}}function vl(x){let d,b,h,f,_,n,m,C,Rn,an,Y,ge,yo,He,Hn,xo,Un,rn,L,Yn,Ue,Kn,Zn,Ot,Jn,Qn,Dt,Xn,ea,sn,St,ta,ln,Ft,Co,oa,dn,pe,na,Ye,aa,ra,cn,K,he,Mo,Ke,sa,Po,ia,mn,P,Ze,la,R,Bt,da,ca,Wt,ma,fa,Je,ga,pa,ha,Z,ua,Gt,_a,va,Rt,ba,Aa,$a,ue,ka,_e,Qe,wa,Xe,Ta,Ht,ya,xa,fn,J,ve,Eo,et,Ca,zo,Ma,gn,j,tt,Pa,Q,Ea,Ut,za,ja,ot,Ia,qa,Na,X,Va,Yt,La,Oa,Kt,Da,Sa,Fa,be,pn,ee,Ae,jo,nt,Ba,Io,Wa,hn,I,at,Ga,te,Ra,Zt,Ha,Ua,rt,Ya,Ka,Za,oe,Ja,Jt,Qa,Xa,Qt,er,tr,or,$e,un,ne,ke,qo,st,nr,No,ar,_n,q,it,rr,E,sr,Xt,ir,lr,eo,dr,cr,to,mr,fr,Vo,gr,pr,oo,hr,ur,_r,we,lt,vr,dt,br,no,Ar,$r,kr,Te,ct,wr,mt,Tr,ao,yr,xr,vn,ae,ye,Lo,ft,Cr,Oo,Mr,bn,M,gt,Pr,pt,Er,ro,zr,jr,Ir,ht,qr,ut,Nr,Vr,Lr,H,_t,Or,re,Dr,so,Sr,Fr,Do,Br,Wr,Gr,xe,Rr,O,vt,Hr,se,Ur,io,Yr,Kr,So,Zr,Jr,Qr,Ce,Xr,Me,es,D,bt,ts,ie,os,lo,ns,as,Fo,rs,ss,is,Pe,ls,Ee,An,le,ze,Bo,At,ds,Wo,cs,$n,N,$t,ms,kt,fs,co,gs,ps,hs,wt,us,Tt,_s,vs,bs,S,yt,As,de,$s,mo,ks,ws,Go,Ts,ys,xs,je,Cs,Ie,kn,ce,qe,Ro,xt,Ms,Ho,Ps,wn,V,Ct,Es,Mt,zs,fo,js,Is,qs,Pt,Ns,Et,Vs,Ls,Os,F,zt,Ds,me,Ss,go,Fs,Bs,Uo,Ws,Gs,Rs,Ne,Hs,Ve,Tn;return n=new fe({}),He=new fe({}),Ke=new fe({}),Ze=new z({props:{name:"class transformers.AlignConfig",anchor:"transformers.AlignConfig",parameters:[{name:"text_config",val:" = None"},{name:"vision_config",val:" = None"},{name:"projection_dim",val:" = 640"},{name:"temperature_init_value",val:" = 1.0"},{name:"initializer_range",val:" = 0.02"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.AlignConfig.text_config",description:`<strong>text_config</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Dictionary of configuration options used to initialize <a href="/docs/transformers/main/en/model_doc/align#transformers.AlignTextConfig">AlignTextConfig</a>.`,name:"text_config"},{anchor:"transformers.AlignConfig.vision_config",description:`<strong>vision_config</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Dictionary of configuration options used to initialize <a href="/docs/transformers/main/en/model_doc/align#transformers.AlignVisionConfig">AlignVisionConfig</a>.`,name:"vision_config"},{anchor:"transformers.AlignConfig.projection_dim",description:`<strong>projection_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 512) &#x2014;
Dimentionality of text and vision projection layers.`,name:"projection_dim"},{anchor:"transformers.AlignConfig.temperature_init_value",description:`<strong>temperature_init_value</strong> (<code>float</code>, <em>optional</em>, defaults to 1.0) &#x2014;
The inital value of the <em>temperature</em> paramter. Default is used as per the original ALIGN implementation.`,name:"temperature_init_value"},{anchor:"transformers.AlignConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.AlignConfig.kwargs",description:`<strong>kwargs</strong> (<em>optional</em>) &#x2014;
Dictionary of keyword arguments.`,name:"kwargs"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/align/configuration_align.py#L298"}}),ue=new Nt({props:{anchor:"transformers.AlignConfig.example",$$slots:{default:[sl]},$$scope:{ctx:x}}}),Qe=new z({props:{name:"from_text_vision_configs",anchor:"transformers.AlignConfig.from_text_vision_configs",parameters:[{name:"text_config",val:": AlignTextConfig"},{name:"vision_config",val:": AlignVisionConfig"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/align/configuration_align.py#L375",returnDescription:`
<p>An instance of a configuration object</p>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/model_doc/align#transformers.AlignConfig"
>AlignConfig</a></p>
`}}),et=new fe({}),tt=new z({props:{name:"class transformers.AlignTextConfig",anchor:"transformers.AlignTextConfig",parameters:[{name:"vocab_size",val:" = 30522"},{name:"hidden_size",val:" = 768"},{name:"num_hidden_layers",val:" = 12"},{name:"num_attention_heads",val:" = 12"},{name:"intermediate_size",val:" = 3072"},{name:"hidden_act",val:" = 'gelu'"},{name:"hidden_dropout_prob",val:" = 0.1"},{name:"attention_probs_dropout_prob",val:" = 0.1"},{name:"max_position_embeddings",val:" = 512"},{name:"type_vocab_size",val:" = 2"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-12"},{name:"pad_token_id",val:" = 0"},{name:"position_embedding_type",val:" = 'absolute'"},{name:"use_cache",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.AlignTextConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 30522) &#x2014;
Vocabulary size of the Align Text model. Defines the number of different tokens that can be represented by
the <code>inputs_ids</code> passed when calling <a href="/docs/transformers/main/en/model_doc/align#transformers.AlignTextModel">AlignTextModel</a>.`,name:"vocab_size"},{anchor:"transformers.AlignTextConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.AlignTextConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.AlignTextConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.AlignTextConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 3072) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.AlignTextConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>Callable</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;silu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.AlignTextConfig.hidden_dropout_prob",description:`<strong>hidden_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"hidden_dropout_prob"},{anchor:"transformers.AlignTextConfig.attention_probs_dropout_prob",description:`<strong>attention_probs_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_probs_dropout_prob"},{anchor:"transformers.AlignTextConfig.max_position_embeddings",description:`<strong>max_position_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 512) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
just in case (e.g., 512 or 1024 or 2048).`,name:"max_position_embeddings"},{anchor:"transformers.AlignTextConfig.type_vocab_size",description:`<strong>type_vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
The vocabulary size of the <code>token_type_ids</code> passed when calling <a href="/docs/transformers/main/en/model_doc/align#transformers.AlignTextModel">AlignTextModel</a>.`,name:"type_vocab_size"},{anchor:"transformers.AlignTextConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.AlignTextConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.AlignTextConfig.position_embedding_type",description:`<strong>position_embedding_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;absolute&quot;</code>) &#x2014;
Type of position embedding. Choose one of <code>&quot;absolute&quot;</code>, <code>&quot;relative_key&quot;</code>, <code>&quot;relative_key_query&quot;</code>. For
positional embeddings use <code>&quot;absolute&quot;</code>. For more information on <code>&quot;relative_key&quot;</code>, please refer to
<a href="https://arxiv.org/abs/1803.02155" rel="nofollow">Self-Attention with Relative Position Representations (Shaw et al.)</a>.
For more information on <code>&quot;relative_key_query&quot;</code>, please refer to <em>Method 4</em> in <a href="https://arxiv.org/abs/2009.13658" rel="nofollow">Improve Transformer Models
with Better Relative Position Embeddings (Huang et al.)</a>.`,name:"position_embedding_type"},{anchor:"transformers.AlignTextConfig.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models). Only
relevant if <code>config.is_decoder=True</code>.`,name:"use_cache"},{anchor:"transformers.AlignTextConfig.pad_token_id",description:`<strong>pad_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to 0) &#x2014;
Padding token id.`,name:"pad_token_id"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/align/configuration_align.py#L36"}}),be=new Nt({props:{anchor:"transformers.AlignTextConfig.example",$$slots:{default:[il]},$$scope:{ctx:x}}}),nt=new fe({}),at=new z({props:{name:"class transformers.AlignVisionConfig",anchor:"transformers.AlignVisionConfig",parameters:[{name:"num_channels",val:": int = 3"},{name:"image_size",val:": int = 600"},{name:"width_coefficient",val:": float = 2.0"},{name:"depth_coefficient",val:": float = 3.1"},{name:"depth_divisor",val:": int = 8"},{name:"kernel_sizes",val:": typing.List[int] = [3, 3, 5, 3, 5, 5, 3]"},{name:"in_channels",val:": typing.List[int] = [32, 16, 24, 40, 80, 112, 192]"},{name:"out_channels",val:": typing.List[int] = [16, 24, 40, 80, 112, 192, 320]"},{name:"depthwise_padding",val:": typing.List[int] = []"},{name:"strides",val:": typing.List[int] = [1, 2, 2, 2, 1, 2, 1]"},{name:"num_block_repeats",val:": typing.List[int] = [1, 2, 2, 3, 3, 4, 1]"},{name:"expand_ratios",val:": typing.List[int] = [1, 6, 6, 6, 6, 6, 6]"},{name:"squeeze_expansion_ratio",val:": float = 0.25"},{name:"hidden_act",val:": str = 'swish'"},{name:"hidden_dim",val:": int = 2560"},{name:"pooling_type",val:": str = 'mean'"},{name:"initializer_range",val:": float = 0.02"},{name:"batch_norm_eps",val:": float = 0.001"},{name:"batch_norm_momentum",val:": float = 0.99"},{name:"dropout_rate",val:": float = 0.5"},{name:"drop_connect_rate",val:": float = 0.2"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.AlignVisionConfig.num_channels",description:`<strong>num_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
The number of input channels.`,name:"num_channels"},{anchor:"transformers.AlignVisionConfig.image_size",description:`<strong>image_size</strong> (<code>int</code>, <em>optional</em>, defaults to 600) &#x2014;
The input image size.`,name:"image_size"},{anchor:"transformers.AlignVisionConfig.width_coefficient",description:`<strong>width_coefficient</strong> (<code>float</code>, <em>optional</em>, defaults to 2.0) &#x2014;
Scaling coefficient for network width at each stage.`,name:"width_coefficient"},{anchor:"transformers.AlignVisionConfig.depth_coefficient",description:`<strong>depth_coefficient</strong> (<code>float</code>, <em>optional</em>, defaults to 3.1) &#x2014;
Scaling coefficient for network depth at each stage.`,name:"depth_coefficient"},{anchor:"transformers.AlignVisionConfig.depth_divisor",description:`<strong>depth_divisor</strong> <code>int</code>, <em>optional</em>, defaults to 8) &#x2014;
A unit of network width.`,name:"depth_divisor"},{anchor:"transformers.AlignVisionConfig.kernel_sizes",description:`<strong>kernel_sizes</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[3, 3, 5, 3, 5, 5, 3]</code>) &#x2014;
List of kernel sizes to be used in each block.`,name:"kernel_sizes"},{anchor:"transformers.AlignVisionConfig.in_channels",description:`<strong>in_channels</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[32, 16, 24, 40, 80, 112, 192]</code>) &#x2014;
List of input channel sizes to be used in each block for convolutional layers.`,name:"in_channels"},{anchor:"transformers.AlignVisionConfig.out_channels",description:`<strong>out_channels</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[16, 24, 40, 80, 112, 192, 320]</code>) &#x2014;
List of output channel sizes to be used in each block for convolutional layers.`,name:"out_channels"},{anchor:"transformers.AlignVisionConfig.depthwise_padding",description:`<strong>depthwise_padding</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[]</code>) &#x2014;
List of block indices with square padding.
strides &#x2014; (<code>List[int]</code>, <em>optional</em>, defaults to <code>[1, 2, 2, 2, 1, 2, 1]</code>):
List of stride sizes to be used in each block for convolutional layers.`,name:"depthwise_padding"},{anchor:"transformers.AlignVisionConfig.num_block_repeats",description:`<strong>num_block_repeats</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[1, 2, 2, 3, 3, 4, 1]</code>) &#x2014;
List of the number of times each block is to repeated.`,name:"num_block_repeats"},{anchor:"transformers.AlignVisionConfig.expand_ratios",description:`<strong>expand_ratios</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[1, 6, 6, 6, 6, 6, 6]</code>) &#x2014;
List of scaling coefficient of each block.`,name:"expand_ratios"},{anchor:"transformers.AlignVisionConfig.squeeze_expansion_ratio",description:`<strong>squeeze_expansion_ratio</strong> (<code>float</code>, <em>optional</em>, defaults to 0.25) &#x2014;
Squeeze expansion ratio.`,name:"squeeze_expansion_ratio"},{anchor:"transformers.AlignVisionConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;silu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in each block. If string, <code>&quot;gelu&quot;</code>, <code>&quot;relu&quot;</code>,
<code>&quot;selu&quot;, </code>&#x201C;gelu_new&#x201D;<code>, </code>&#x201C;silu&#x201D;<code>and</code>&#x201C;mish&#x201D;\` are supported.`,name:"hidden_act"},{anchor:"transformers.AlignVisionConfig.hiddem_dim",description:`<strong>hiddem_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 1280) &#x2014;
The hidden dimension of the layer before the classification head.`,name:"hiddem_dim"},{anchor:"transformers.AlignVisionConfig.pooling_type",description:`<strong>pooling_type</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;mean&quot;</code>) &#x2014;
Type of final pooling to be applied before the dense classification head. Available options are [<code>&quot;mean&quot;</code>,
<code>&quot;max&quot;</code>]`,name:"pooling_type"},{anchor:"transformers.AlignVisionConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.AlignVisionConfig.batch_norm_eps",description:`<strong>batch_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-3) &#x2014;
The epsilon used by the batch normalization layers.`,name:"batch_norm_eps"},{anchor:"transformers.AlignVisionConfig.batch_norm_momentum",description:`<strong>batch_norm_momentum</strong> (<code>float</code>, <em>optional</em>, defaults to 0.99) &#x2014;
The momentum used by the batch normalization layers.`,name:"batch_norm_momentum"},{anchor:"transformers.AlignVisionConfig.dropout_rate",description:`<strong>dropout_rate</strong> (<code>float</code>, <em>optional</em>, defaults to 0.5) &#x2014;
The dropout rate to be applied before final classifier layer.`,name:"dropout_rate"},{anchor:"transformers.AlignVisionConfig.drop_connect_rate",description:`<strong>drop_connect_rate</strong> (<code>float</code>, <em>optional</em>, defaults to 0.2) &#x2014;
The drop rate for skip connections.`,name:"drop_connect_rate"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/align/configuration_align.py#L157"}}),$e=new Nt({props:{anchor:"transformers.AlignVisionConfig.example",$$slots:{default:[ll]},$$scope:{ctx:x}}}),st=new fe({}),it=new z({props:{name:"class transformers.AlignProcessor",anchor:"transformers.AlignProcessor",parameters:[{name:"image_processor",val:""},{name:"tokenizer",val:""}],parametersDescription:[{anchor:"transformers.AlignProcessor.image_processor",description:`<strong>image_processor</strong> (<a href="/docs/transformers/main/en/model_doc/efficientnet#transformers.EfficientNetImageProcessor">EfficientNetImageProcessor</a>) &#x2014;
The image processor is a required input.`,name:"image_processor"},{anchor:"transformers.AlignProcessor.tokenizer",description:`<strong>tokenizer</strong> ([<code>BERTTokenizer</code>, <code>BertTokenizerFast</code>]) &#x2014;
The tokenizer is a required input.`,name:"tokenizer"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/align/processing_align.py#L24"}}),lt=new z({props:{name:"batch_decode",anchor:"transformers.AlignProcessor.batch_decode",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/align/processing_align.py#L104"}}),ct=new z({props:{name:"decode",anchor:"transformers.AlignProcessor.decode",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/align/processing_align.py#L111"}}),ft=new fe({}),gt=new z({props:{name:"class transformers.AlignModel",anchor:"transformers.AlignModel",parameters:[{name:"config",val:": AlignConfig"}],parametersDescription:[{anchor:"transformers.AlignModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/align#transformers.AlignConfig">AlignConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/align/modeling_align.py#L1418"}}),_t=new z({props:{name:"forward",anchor:"transformers.AlignModel.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"pixel_values",val:": typing.Optional[torch.FloatTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"return_loss",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.AlignModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>
attention_mask (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>):
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>
position_ids (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>):
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>
token_type_ids (<code>torch.LongTensor</code> of shape <code>({0})</code>, <em>optional</em>):
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>
head_mask (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>):
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>
<p>inputs_embeds (<code>torch.FloatTensor</code> of shape <code>({0}, hidden_size)</code>, <em>optional</em>):
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.
pixel_values (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>):
Pixel values. Padding will be ignored by default should you provide it. Pixel values can be obtained using
<a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See <a href="/docs/transformers/main/en/model_doc/vit#transformers.ViTFeatureExtractor.__call__">CLIPImageProcessor.<strong>call</strong>()</a> for details.
return_loss (<code>bool</code>, <em>optional</em>):
Whether or not to return the contrastive loss.
output_attentions (<code>bool</code>, <em>optional</em>):
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.
output_hidden_states (<code>bool</code>, <em>optional</em>):
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.
return_dict (<code>bool</code>, <em>optional</em>):
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"input_ids"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/align/modeling_align.py#L1549"}}),xe=new nn({props:{$$slots:{default:[dl]},$$scope:{ctx:x}}}),vt=new z({props:{name:"get_text_features",anchor:"transformers.AlignModel.get_text_features",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.AlignModel.get_text_features.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.AlignModel.get_text_features.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.AlignModel.get_text_features.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.AlignModel.get_text_features.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>({0})</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.AlignModel.get_text_features.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.AlignModel.get_text_features.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>({0}, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.AlignModel.get_text_features.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.AlignModel.get_text_features.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.AlignModel.get_text_features.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/align/modeling_align.py#L1451",returnDescription:`
<p>The text embeddings obtained by
applying the projection layer to the pooled output of <a
  href="/docs/transformers/main/en/model_doc/align#transformers.AlignTextModel"
>AlignTextModel</a>.</p>
`,returnType:`
<p>text_features (<code>torch.FloatTensor</code> of shape <code>(batch_size, output_dim</code>)</p>
`}}),Ce=new nn({props:{$$slots:{default:[cl]},$$scope:{ctx:x}}}),Me=new Nt({props:{anchor:"transformers.AlignModel.get_text_features.example",$$slots:{default:[ml]},$$scope:{ctx:x}}}),bt=new z({props:{name:"get_image_features",anchor:"transformers.AlignModel.get_image_features",parameters:[{name:"pixel_values",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.AlignModel.get_image_features.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Padding will be ignored by default should you provide it. Pixel values can be obtained using
<a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See <a href="/docs/transformers/main/en/model_doc/vit#transformers.ViTFeatureExtractor.__call__">CLIPImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.AlignModel.get_image_features.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.AlignModel.get_image_features.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/align/modeling_align.py#L1504",returnDescription:`
<p>The image embeddings obtained by
applying the projection layer to the pooled output of <a
  href="/docs/transformers/main/en/model_doc/align#transformers.AlignVisionModel"
>AlignVisionModel</a>.</p>
`,returnType:`
<p>image_features (<code>torch.FloatTensor</code> of shape <code>(batch_size, output_dim</code>)</p>
`}}),Pe=new nn({props:{$$slots:{default:[fl]},$$scope:{ctx:x}}}),Ee=new Nt({props:{anchor:"transformers.AlignModel.get_image_features.example",$$slots:{default:[gl]},$$scope:{ctx:x}}}),At=new fe({}),$t=new z({props:{name:"class transformers.AlignTextModel",anchor:"transformers.AlignTextModel",parameters:[{name:"config",val:": AlignTextConfig"},{name:"add_pooling_layer",val:": bool = True"}],parametersDescription:[{anchor:"transformers.AlignTextModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/align#transformers.AlignConfig">AlignConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/align/modeling_align.py#L1208"}}),yt=new z({props:{name:"forward",anchor:"transformers.AlignTextModel.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.AlignTextModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary. Padding will be ignored by default should you provide
it.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.AlignTextModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.AlignTextModel.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.AlignTextModel.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>({0})</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.AlignTextModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.AlignTextModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>({0}, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.AlignTextModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.AlignTextModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.AlignTextModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/align/modeling_align.py#L1229",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPoolingAndCrossAttentions"
>transformers.modeling_outputs.BaseModelOutputWithPoolingAndCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.align.configuration_align.AlignTextConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) after further processing
through the layers used for the auxiliary pretraining task. E.g. for BERT-family of models, this returns
the classification token after processing through a linear layer and a tanh activation function. The linear
layer weights are trained from the next sentence prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> and <code>config.add_cross_attention=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and optionally if
<code>config.is_encoder_decoder=True</code> 2 additional tensors of shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and optionally if
<code>config.is_encoder_decoder=True</code> in the cross-attention blocks) that can be used (see <code>past_key_values</code>
input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPoolingAndCrossAttentions"
>transformers.modeling_outputs.BaseModelOutputWithPoolingAndCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),je=new nn({props:{$$slots:{default:[pl]},$$scope:{ctx:x}}}),Ie=new Nt({props:{anchor:"transformers.AlignTextModel.forward.example",$$slots:{default:[hl]},$$scope:{ctx:x}}}),xt=new fe({}),Ct=new z({props:{name:"class transformers.AlignVisionModel",anchor:"transformers.AlignVisionModel",parameters:[{name:"config",val:": AlignVisionConfig"}],parametersDescription:[{anchor:"transformers.AlignVisionModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/align#transformers.AlignConfig">AlignConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/align/modeling_align.py#L1333"}}),zt=new z({props:{name:"forward",anchor:"transformers.AlignVisionModel.forward",parameters:[{name:"pixel_values",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.AlignVisionModel.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Padding will be ignored by default should you provide it. Pixel values can be obtained using
<a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See <a href="/docs/transformers/main/en/model_doc/vit#transformers.ViTFeatureExtractor.__call__">CLIPImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.AlignVisionModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.AlignVisionModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/align/modeling_align.py#L1357",returnDescription:`
<p>A <code>transformers.modeling_outputs.BaseModelOutputWithPoolingAndNoAttention</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<code>&lt;class 'transformers.models.align.configuration_align.AlignVisionConfig'&gt;</code>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state after a pooling operation on the spatial dimensions.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, num_channels, height, width)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
</ul>
`,returnType:`
<p><code>transformers.modeling_outputs.BaseModelOutputWithPoolingAndNoAttention</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ne=new nn({props:{$$slots:{default:[ul]},$$scope:{ctx:x}}}),Ve=new Nt({props:{anchor:"transformers.AlignVisionModel.forward.example",$$slots:{default:[_l]},$$scope:{ctx:x}}}),{c(){d=s("meta"),b=g(),h=s("h1"),f=s("a"),_=s("span"),A(n.$$.fragment),m=g(),C=s("span"),Rn=a("ALIGN"),an=g(),Y=s("h2"),ge=s("a"),yo=s("span"),A(He.$$.fragment),Hn=g(),xo=s("span"),Un=a("Overview"),rn=g(),L=s("p"),Yn=a("The ALIGN model was proposed in "),Ue=s("a"),Kn=a("Scaling Up Visual and Vision-Language Representation Learning With Noisy Text Supervision"),Zn=a(" by Chao Jia, Yinfei Yang, Ye Xia, Yi-Ting Chen, Zarana Parekh, Hieu Pham, Quoc V. Le, Yunhsuan Sung, Zhen Li, Tom Duerig. ALIGN features a dual-encoder architecture with "),Ot=s("a"),Jn=a("EfficientNet"),Qn=a(" as its vision encoder and "),Dt=s("a"),Xn=a("BERT"),ea=a(" as its text encoder, and learns to align visual and text representations with contrastive learning. Unlike previous work, ALIGN leverages a massive noisy dataset and shows that the scale of the corpus can be used to achieve SOTA representations with a simple recipe."),sn=g(),St=s("p"),ta=a("The abstract from the paper is the following:"),ln=g(),Ft=s("p"),Co=s("em"),oa=a("Pre-trained representations are becoming crucial for many NLP and perception tasks. While representation learning in NLP has transitioned to training on raw text without human annotations, visual and vision-language representations still rely heavily on curated training datasets that are expensive or require expert knowledge. For vision applications, representations are mostly learned using datasets with explicit class labels such as ImageNet or OpenImages. For vision-language, popular datasets like Conceptual Captions, MSCOCO, or CLIP all involve a non-trivial data collection (and cleaning) process. This costly curation process limits the size of datasets and hence hinders the scaling of trained models. In this paper, we leverage a noisy dataset of over one billion image alt-text pairs, obtained without expensive filtering or post-processing steps in the Conceptual Captions dataset. A simple dual-encoder architecture learns to align visual and language representations of the image and text pairs using a contrastive loss. We show that the scale of our corpus can make up for its noise and leads to state-of-the-art representations even with such a simple learning scheme. Our visual representation achieves strong performance when transferred to classification tasks such as ImageNet and VTAB. The aligned visual and language representations enables zero-shot image classification and also set new state-of-the-art results on Flickr30K and MSCOCO image-text retrieval benchmarks, even when compared with more sophisticated cross-attention models. The representations also enable cross-modality search with complex text and text + image queries."),dn=g(),pe=s("p"),na=a("This model was contributed by "),Ye=s("a"),aa=a("Alara Dirik"),ra=a(`.
The original code is not released, this implementation is based on the Kakao Brain implementation based on the original paper.`),cn=g(),K=s("h2"),he=s("a"),Mo=s("span"),A(Ke.$$.fragment),sa=g(),Po=s("span"),ia=a("AlignConfig"),mn=g(),P=s("div"),A(Ze.$$.fragment),la=g(),R=s("p"),Bt=s("a"),da=a("AlignConfig"),ca=a(" is the configuration class to store the configuration of a "),Wt=s("a"),ma=a("AlignModel"),fa=a(`. It is used to
instantiate a ALIGN model according to the specified arguments, defining the text model and vision model configs.
Instantiating a configuration with the defaults will yield a similar configuration to that of the ALIGN
`),Je=s("a"),ga=a("kakaobrain/align-base"),pa=a(" architecture."),ha=g(),Z=s("p"),ua=a("Configuration objects inherit from "),Gt=s("a"),_a=a("PretrainedConfig"),va=a(` and can be used to control the model outputs. Read the
documentation from `),Rt=s("a"),ba=a("PretrainedConfig"),Aa=a(" for more information."),$a=g(),A(ue.$$.fragment),ka=g(),_e=s("div"),A(Qe.$$.fragment),wa=g(),Xe=s("p"),Ta=a("Instantiate a "),Ht=s("a"),ya=a("AlignConfig"),xa=a(` (or a derived class) from align text model configuration and align vision model
configuration.`),fn=g(),J=s("h2"),ve=s("a"),Eo=s("span"),A(et.$$.fragment),Ca=g(),zo=s("span"),Ma=a("AlignTextConfig"),gn=g(),j=s("div"),A(tt.$$.fragment),Pa=g(),Q=s("p"),Ea=a("This is the configuration class to store the configuration of a "),Ut=s("a"),za=a("AlignTextModel"),ja=a(`. It is used to instantiate a
ALIGN text encoder according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the text encoder of the ALIGN
`),ot=s("a"),Ia=a("kakaobrain/align-base"),qa=a(` architecture. The default values here are
copied from BERT.`),Na=g(),X=s("p"),Va=a("Configuration objects inherit from "),Yt=s("a"),La=a("PretrainedConfig"),Oa=a(` and can be used to control the model outputs. Read the
documentation from `),Kt=s("a"),Da=a("PretrainedConfig"),Sa=a(" for more information."),Fa=g(),A(be.$$.fragment),pn=g(),ee=s("h2"),Ae=s("a"),jo=s("span"),A(nt.$$.fragment),Ba=g(),Io=s("span"),Wa=a("AlignVisionConfig"),hn=g(),I=s("div"),A(at.$$.fragment),Ga=g(),te=s("p"),Ra=a("This is the configuration class to store the configuration of a "),Zt=s("a"),Ha=a("AlignVisionModel"),Ua=a(`. It is used to instantiate a
ALIGN vision encoder according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the vision encoder of the ALIGN
`),rt=s("a"),Ya=a("kakaobrain/align-base"),Ka=a(` architecture. The default values are copied
from EfficientNet (efficientnet-b7)`),Za=g(),oe=s("p"),Ja=a("Configuration objects inherit from "),Jt=s("a"),Qa=a("PretrainedConfig"),Xa=a(` and can be used to control the model outputs. Read the
documentation from `),Qt=s("a"),er=a("PretrainedConfig"),tr=a(" for more information."),or=g(),A($e.$$.fragment),un=g(),ne=s("h2"),ke=s("a"),qo=s("span"),A(st.$$.fragment),nr=g(),No=s("span"),ar=a("AlignProcessor"),_n=g(),q=s("div"),A(it.$$.fragment),rr=g(),E=s("p"),sr=a("Constructs an ALIGN processor which wraps "),Xt=s("a"),ir=a("EfficientNetImageProcessor"),lr=a(` and
`),eo=s("a"),dr=a("BertTokenizer"),cr=a("/"),to=s("a"),mr=a("BertTokenizerFast"),fr=a(` into a single processor that interits both the image processor and
tokenizer functionalities. See the `),Vo=s("code"),gr=a("__call__()"),pr=a(" and "),oo=s("a"),hr=a("decode()"),ur=a(` for more
information.`),_r=g(),we=s("div"),A(lt.$$.fragment),vr=g(),dt=s("p"),br=a("This method forwards all its arguments to BertTokenizerFast\u2019s "),no=s("a"),Ar=a("batch_decode()"),$r=a(`. Please
refer to the docstring of this method for more information.`),kr=g(),Te=s("div"),A(ct.$$.fragment),wr=g(),mt=s("p"),Tr=a("This method forwards all its arguments to BertTokenizerFast\u2019s "),ao=s("a"),yr=a("decode()"),xr=a(`. Please refer to
the docstring of this method for more information.`),vn=g(),ae=s("h2"),ye=s("a"),Lo=s("span"),A(ft.$$.fragment),Cr=g(),Oo=s("span"),Mr=a("AlignModel"),bn=g(),M=s("div"),A(gt.$$.fragment),Pr=g(),pt=s("p"),Er=a("This model inherits from "),ro=s("a"),zr=a("PreTrainedModel"),jr=a(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ir=g(),ht=s("p"),qr=a("This model is also a PyTorch "),ut=s("a"),Nr=a("torch.nn.Module"),Vr=a(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Lr=g(),H=s("div"),A(_t.$$.fragment),Or=g(),re=s("p"),Dr=a("The "),so=s("a"),Sr=a("AlignModel"),Fr=a(" forward method, overrides the "),Do=s("code"),Br=a("__call__"),Wr=a(" special method."),Gr=g(),A(xe.$$.fragment),Rr=g(),O=s("div"),A(vt.$$.fragment),Hr=g(),se=s("p"),Ur=a("The "),io=s("a"),Yr=a("AlignModel"),Kr=a(" forward method, overrides the "),So=s("code"),Zr=a("__call__"),Jr=a(" special method."),Qr=g(),A(Ce.$$.fragment),Xr=g(),A(Me.$$.fragment),es=g(),D=s("div"),A(bt.$$.fragment),ts=g(),ie=s("p"),os=a("The "),lo=s("a"),ns=a("AlignModel"),as=a(" forward method, overrides the "),Fo=s("code"),rs=a("__call__"),ss=a(" special method."),is=g(),A(Pe.$$.fragment),ls=g(),A(Ee.$$.fragment),An=g(),le=s("h2"),ze=s("a"),Bo=s("span"),A(At.$$.fragment),ds=g(),Wo=s("span"),cs=a("AlignTextModel"),$n=g(),N=s("div"),A($t.$$.fragment),ms=g(),kt=s("p"),fs=a(`The text model from ALIGN without any head or projection on top.
This model inherits from `),co=s("a"),gs=a("PreTrainedModel"),ps=a(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),hs=g(),wt=s("p"),us=a("This model is also a PyTorch "),Tt=s("a"),_s=a("torch.nn.Module"),vs=a(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),bs=g(),S=s("div"),A(yt.$$.fragment),As=g(),de=s("p"),$s=a("The "),mo=s("a"),ks=a("AlignTextModel"),ws=a(" forward method, overrides the "),Go=s("code"),Ts=a("__call__"),ys=a(" special method."),xs=g(),A(je.$$.fragment),Cs=g(),A(Ie.$$.fragment),kn=g(),ce=s("h2"),qe=s("a"),Ro=s("span"),A(xt.$$.fragment),Ms=g(),Ho=s("span"),Ps=a("AlignVisionModel"),wn=g(),V=s("div"),A(Ct.$$.fragment),Es=g(),Mt=s("p"),zs=a(`The vision model from ALIGN without any head or projection on top.
This model inherits from `),fo=s("a"),js=a("PreTrainedModel"),Is=a(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),qs=g(),Pt=s("p"),Ns=a("This model is also a PyTorch "),Et=s("a"),Vs=a("torch.nn.Module"),Ls=a(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Os=g(),F=s("div"),A(zt.$$.fragment),Ds=g(),me=s("p"),Ss=a("The "),go=s("a"),Fs=a("AlignVisionModel"),Bs=a(" forward method, overrides the "),Uo=s("code"),Ws=a("__call__"),Gs=a(" special method."),Rs=g(),A(Ne.$$.fragment),Hs=g(),A(Ve.$$.fragment),this.h()},l(t){const u=al('[data-svelte="svelte-1phssyn"]',document.head);d=i(u,"META",{name:!0,content:!0}),u.forEach(o),b=p(t),h=i(t,"H1",{class:!0});var jt=l(h);f=i(jt,"A",{id:!0,class:!0,href:!0});var Yo=l(f);_=i(Yo,"SPAN",{});var Ko=l(_);$(n.$$.fragment,Ko),Ko.forEach(o),Yo.forEach(o),m=p(jt),C=i(jt,"SPAN",{});var Zo=l(C);Rn=r(Zo,"ALIGN"),Zo.forEach(o),jt.forEach(o),an=p(t),Y=i(t,"H2",{class:!0});var It=l(Y);ge=i(It,"A",{id:!0,class:!0,href:!0});var Jo=l(ge);yo=i(Jo,"SPAN",{});var Qo=l(yo);$(He.$$.fragment,Qo),Qo.forEach(o),Jo.forEach(o),Hn=p(It),xo=i(It,"SPAN",{});var Xo=l(xo);Un=r(Xo,"Overview"),Xo.forEach(o),It.forEach(o),rn=p(t),L=i(t,"P",{});var G=l(L);Yn=r(G,"The ALIGN model was proposed in "),Ue=i(G,"A",{href:!0,rel:!0});var en=l(Ue);Kn=r(en,"Scaling Up Visual and Vision-Language Representation Learning With Noisy Text Supervision"),en.forEach(o),Zn=r(G," by Chao Jia, Yinfei Yang, Ye Xia, Yi-Ting Chen, Zarana Parekh, Hieu Pham, Quoc V. Le, Yunhsuan Sung, Zhen Li, Tom Duerig. ALIGN features a dual-encoder architecture with "),Ot=i(G,"A",{href:!0});var tn=l(Ot);Jn=r(tn,"EfficientNet"),tn.forEach(o),Qn=r(G," as its vision encoder and "),Dt=i(G,"A",{href:!0});var on=l(Dt);Xn=r(on,"BERT"),on.forEach(o),ea=r(G," as its text encoder, and learns to align visual and text representations with contrastive learning. Unlike previous work, ALIGN leverages a massive noisy dataset and shows that the scale of the corpus can be used to achieve SOTA representations with a simple recipe."),G.forEach(o),sn=p(t),St=i(t,"P",{});var Us=l(St);ta=r(Us,"The abstract from the paper is the following:"),Us.forEach(o),ln=p(t),Ft=i(t,"P",{});var Ys=l(Ft);Co=i(Ys,"EM",{});var Ks=l(Co);oa=r(Ks,"Pre-trained representations are becoming crucial for many NLP and perception tasks. While representation learning in NLP has transitioned to training on raw text without human annotations, visual and vision-language representations still rely heavily on curated training datasets that are expensive or require expert knowledge. For vision applications, representations are mostly learned using datasets with explicit class labels such as ImageNet or OpenImages. For vision-language, popular datasets like Conceptual Captions, MSCOCO, or CLIP all involve a non-trivial data collection (and cleaning) process. This costly curation process limits the size of datasets and hence hinders the scaling of trained models. In this paper, we leverage a noisy dataset of over one billion image alt-text pairs, obtained without expensive filtering or post-processing steps in the Conceptual Captions dataset. A simple dual-encoder architecture learns to align visual and language representations of the image and text pairs using a contrastive loss. We show that the scale of our corpus can make up for its noise and leads to state-of-the-art representations even with such a simple learning scheme. Our visual representation achieves strong performance when transferred to classification tasks such as ImageNet and VTAB. The aligned visual and language representations enables zero-shot image classification and also set new state-of-the-art results on Flickr30K and MSCOCO image-text retrieval benchmarks, even when compared with more sophisticated cross-attention models. The representations also enable cross-modality search with complex text and text + image queries."),Ks.forEach(o),Ys.forEach(o),dn=p(t),pe=i(t,"P",{});var yn=l(pe);na=r(yn,"This model was contributed by "),Ye=i(yn,"A",{href:!0,rel:!0});var Zs=l(Ye);aa=r(Zs,"Alara Dirik"),Zs.forEach(o),ra=r(yn,`.
The original code is not released, this implementation is based on the Kakao Brain implementation based on the original paper.`),yn.forEach(o),cn=p(t),K=i(t,"H2",{class:!0});var xn=l(K);he=i(xn,"A",{id:!0,class:!0,href:!0});var Js=l(he);Mo=i(Js,"SPAN",{});var Qs=l(Mo);$(Ke.$$.fragment,Qs),Qs.forEach(o),Js.forEach(o),sa=p(xn),Po=i(xn,"SPAN",{});var Xs=l(Po);ia=r(Xs,"AlignConfig"),Xs.forEach(o),xn.forEach(o),mn=p(t),P=i(t,"DIV",{class:!0});var U=l(P);$(Ze.$$.fragment,U),la=p(U),R=i(U,"P",{});var qt=l(R);Bt=i(qt,"A",{href:!0});var ei=l(Bt);da=r(ei,"AlignConfig"),ei.forEach(o),ca=r(qt," is the configuration class to store the configuration of a "),Wt=i(qt,"A",{href:!0});var ti=l(Wt);ma=r(ti,"AlignModel"),ti.forEach(o),fa=r(qt,`. It is used to
instantiate a ALIGN model according to the specified arguments, defining the text model and vision model configs.
Instantiating a configuration with the defaults will yield a similar configuration to that of the ALIGN
`),Je=i(qt,"A",{href:!0,rel:!0});var oi=l(Je);ga=r(oi,"kakaobrain/align-base"),oi.forEach(o),pa=r(qt," architecture."),qt.forEach(o),ha=p(U),Z=i(U,"P",{});var po=l(Z);ua=r(po,"Configuration objects inherit from "),Gt=i(po,"A",{href:!0});var ni=l(Gt);_a=r(ni,"PretrainedConfig"),ni.forEach(o),va=r(po,` and can be used to control the model outputs. Read the
documentation from `),Rt=i(po,"A",{href:!0});var ai=l(Rt);ba=r(ai,"PretrainedConfig"),ai.forEach(o),Aa=r(po," for more information."),po.forEach(o),$a=p(U),$(ue.$$.fragment,U),ka=p(U),_e=i(U,"DIV",{class:!0});var Cn=l(_e);$(Qe.$$.fragment,Cn),wa=p(Cn),Xe=i(Cn,"P",{});var Mn=l(Xe);Ta=r(Mn,"Instantiate a "),Ht=i(Mn,"A",{href:!0});var ri=l(Ht);ya=r(ri,"AlignConfig"),ri.forEach(o),xa=r(Mn,` (or a derived class) from align text model configuration and align vision model
configuration.`),Mn.forEach(o),Cn.forEach(o),U.forEach(o),fn=p(t),J=i(t,"H2",{class:!0});var Pn=l(J);ve=i(Pn,"A",{id:!0,class:!0,href:!0});var si=l(ve);Eo=i(si,"SPAN",{});var ii=l(Eo);$(et.$$.fragment,ii),ii.forEach(o),si.forEach(o),Ca=p(Pn),zo=i(Pn,"SPAN",{});var li=l(zo);Ma=r(li,"AlignTextConfig"),li.forEach(o),Pn.forEach(o),gn=p(t),j=i(t,"DIV",{class:!0});var Le=l(j);$(tt.$$.fragment,Le),Pa=p(Le),Q=i(Le,"P",{});var ho=l(Q);Ea=r(ho,"This is the configuration class to store the configuration of a "),Ut=i(ho,"A",{href:!0});var di=l(Ut);za=r(di,"AlignTextModel"),di.forEach(o),ja=r(ho,`. It is used to instantiate a
ALIGN text encoder according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the text encoder of the ALIGN
`),ot=i(ho,"A",{href:!0,rel:!0});var ci=l(ot);Ia=r(ci,"kakaobrain/align-base"),ci.forEach(o),qa=r(ho,` architecture. The default values here are
copied from BERT.`),ho.forEach(o),Na=p(Le),X=i(Le,"P",{});var uo=l(X);Va=r(uo,"Configuration objects inherit from "),Yt=i(uo,"A",{href:!0});var mi=l(Yt);La=r(mi,"PretrainedConfig"),mi.forEach(o),Oa=r(uo,` and can be used to control the model outputs. Read the
documentation from `),Kt=i(uo,"A",{href:!0});var fi=l(Kt);Da=r(fi,"PretrainedConfig"),fi.forEach(o),Sa=r(uo," for more information."),uo.forEach(o),Fa=p(Le),$(be.$$.fragment,Le),Le.forEach(o),pn=p(t),ee=i(t,"H2",{class:!0});var En=l(ee);Ae=i(En,"A",{id:!0,class:!0,href:!0});var gi=l(Ae);jo=i(gi,"SPAN",{});var pi=l(jo);$(nt.$$.fragment,pi),pi.forEach(o),gi.forEach(o),Ba=p(En),Io=i(En,"SPAN",{});var hi=l(Io);Wa=r(hi,"AlignVisionConfig"),hi.forEach(o),En.forEach(o),hn=p(t),I=i(t,"DIV",{class:!0});var Oe=l(I);$(at.$$.fragment,Oe),Ga=p(Oe),te=i(Oe,"P",{});var _o=l(te);Ra=r(_o,"This is the configuration class to store the configuration of a "),Zt=i(_o,"A",{href:!0});var ui=l(Zt);Ha=r(ui,"AlignVisionModel"),ui.forEach(o),Ua=r(_o,`. It is used to instantiate a
ALIGN vision encoder according to the specified arguments, defining the model architecture. Instantiating a
configuration with the defaults will yield a similar configuration to that of the vision encoder of the ALIGN
`),rt=i(_o,"A",{href:!0,rel:!0});var _i=l(rt);Ya=r(_i,"kakaobrain/align-base"),_i.forEach(o),Ka=r(_o,` architecture. The default values are copied
from EfficientNet (efficientnet-b7)`),_o.forEach(o),Za=p(Oe),oe=i(Oe,"P",{});var vo=l(oe);Ja=r(vo,"Configuration objects inherit from "),Jt=i(vo,"A",{href:!0});var vi=l(Jt);Qa=r(vi,"PretrainedConfig"),vi.forEach(o),Xa=r(vo,` and can be used to control the model outputs. Read the
documentation from `),Qt=i(vo,"A",{href:!0});var bi=l(Qt);er=r(bi,"PretrainedConfig"),bi.forEach(o),tr=r(vo," for more information."),vo.forEach(o),or=p(Oe),$($e.$$.fragment,Oe),Oe.forEach(o),un=p(t),ne=i(t,"H2",{class:!0});var zn=l(ne);ke=i(zn,"A",{id:!0,class:!0,href:!0});var Ai=l(ke);qo=i(Ai,"SPAN",{});var $i=l(qo);$(st.$$.fragment,$i),$i.forEach(o),Ai.forEach(o),nr=p(zn),No=i(zn,"SPAN",{});var ki=l(No);ar=r(ki,"AlignProcessor"),ki.forEach(o),zn.forEach(o),_n=p(t),q=i(t,"DIV",{class:!0});var De=l(q);$(it.$$.fragment,De),rr=p(De),E=i(De,"P",{});var B=l(E);sr=r(B,"Constructs an ALIGN processor which wraps "),Xt=i(B,"A",{href:!0});var wi=l(Xt);ir=r(wi,"EfficientNetImageProcessor"),wi.forEach(o),lr=r(B,` and
`),eo=i(B,"A",{href:!0});var Ti=l(eo);dr=r(Ti,"BertTokenizer"),Ti.forEach(o),cr=r(B,"/"),to=i(B,"A",{href:!0});var yi=l(to);mr=r(yi,"BertTokenizerFast"),yi.forEach(o),fr=r(B,` into a single processor that interits both the image processor and
tokenizer functionalities. See the `),Vo=i(B,"CODE",{});var xi=l(Vo);gr=r(xi,"__call__()"),xi.forEach(o),pr=r(B," and "),oo=i(B,"A",{href:!0});var Ci=l(oo);hr=r(Ci,"decode()"),Ci.forEach(o),ur=r(B,` for more
information.`),B.forEach(o),_r=p(De),we=i(De,"DIV",{class:!0});var jn=l(we);$(lt.$$.fragment,jn),vr=p(jn),dt=i(jn,"P",{});var In=l(dt);br=r(In,"This method forwards all its arguments to BertTokenizerFast\u2019s "),no=i(In,"A",{href:!0});var Mi=l(no);Ar=r(Mi,"batch_decode()"),Mi.forEach(o),$r=r(In,`. Please
refer to the docstring of this method for more information.`),In.forEach(o),jn.forEach(o),kr=p(De),Te=i(De,"DIV",{class:!0});var qn=l(Te);$(ct.$$.fragment,qn),wr=p(qn),mt=i(qn,"P",{});var Nn=l(mt);Tr=r(Nn,"This method forwards all its arguments to BertTokenizerFast\u2019s "),ao=i(Nn,"A",{href:!0});var Pi=l(ao);yr=r(Pi,"decode()"),Pi.forEach(o),xr=r(Nn,`. Please refer to
the docstring of this method for more information.`),Nn.forEach(o),qn.forEach(o),De.forEach(o),vn=p(t),ae=i(t,"H2",{class:!0});var Vn=l(ae);ye=i(Vn,"A",{id:!0,class:!0,href:!0});var Ei=l(ye);Lo=i(Ei,"SPAN",{});var zi=l(Lo);$(ft.$$.fragment,zi),zi.forEach(o),Ei.forEach(o),Cr=p(Vn),Oo=i(Vn,"SPAN",{});var ji=l(Oo);Mr=r(ji,"AlignModel"),ji.forEach(o),Vn.forEach(o),bn=p(t),M=i(t,"DIV",{class:!0});var W=l(M);$(gt.$$.fragment,W),Pr=p(W),pt=i(W,"P",{});var Ln=l(pt);Er=r(Ln,"This model inherits from "),ro=i(Ln,"A",{href:!0});var Ii=l(ro);zr=r(Ii,"PreTrainedModel"),Ii.forEach(o),jr=r(Ln,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ln.forEach(o),Ir=p(W),ht=i(W,"P",{});var On=l(ht);qr=r(On,"This model is also a PyTorch "),ut=i(On,"A",{href:!0,rel:!0});var qi=l(ut);Nr=r(qi,"torch.nn.Module"),qi.forEach(o),Vr=r(On,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),On.forEach(o),Lr=p(W),H=i(W,"DIV",{class:!0});var bo=l(H);$(_t.$$.fragment,bo),Or=p(bo),re=i(bo,"P",{});var Ao=l(re);Dr=r(Ao,"The "),so=i(Ao,"A",{href:!0});var Ni=l(so);Sr=r(Ni,"AlignModel"),Ni.forEach(o),Fr=r(Ao," forward method, overrides the "),Do=i(Ao,"CODE",{});var Vi=l(Do);Br=r(Vi,"__call__"),Vi.forEach(o),Wr=r(Ao," special method."),Ao.forEach(o),Gr=p(bo),$(xe.$$.fragment,bo),bo.forEach(o),Rr=p(W),O=i(W,"DIV",{class:!0});var Se=l(O);$(vt.$$.fragment,Se),Hr=p(Se),se=i(Se,"P",{});var $o=l(se);Ur=r($o,"The "),io=i($o,"A",{href:!0});var Li=l(io);Yr=r(Li,"AlignModel"),Li.forEach(o),Kr=r($o," forward method, overrides the "),So=i($o,"CODE",{});var Oi=l(So);Zr=r(Oi,"__call__"),Oi.forEach(o),Jr=r($o," special method."),$o.forEach(o),Qr=p(Se),$(Ce.$$.fragment,Se),Xr=p(Se),$(Me.$$.fragment,Se),Se.forEach(o),es=p(W),D=i(W,"DIV",{class:!0});var Fe=l(D);$(bt.$$.fragment,Fe),ts=p(Fe),ie=i(Fe,"P",{});var ko=l(ie);os=r(ko,"The "),lo=i(ko,"A",{href:!0});var Di=l(lo);ns=r(Di,"AlignModel"),Di.forEach(o),as=r(ko," forward method, overrides the "),Fo=i(ko,"CODE",{});var Si=l(Fo);rs=r(Si,"__call__"),Si.forEach(o),ss=r(ko," special method."),ko.forEach(o),is=p(Fe),$(Pe.$$.fragment,Fe),ls=p(Fe),$(Ee.$$.fragment,Fe),Fe.forEach(o),W.forEach(o),An=p(t),le=i(t,"H2",{class:!0});var Dn=l(le);ze=i(Dn,"A",{id:!0,class:!0,href:!0});var Fi=l(ze);Bo=i(Fi,"SPAN",{});var Bi=l(Bo);$(At.$$.fragment,Bi),Bi.forEach(o),Fi.forEach(o),ds=p(Dn),Wo=i(Dn,"SPAN",{});var Wi=l(Wo);cs=r(Wi,"AlignTextModel"),Wi.forEach(o),Dn.forEach(o),$n=p(t),N=i(t,"DIV",{class:!0});var Be=l(N);$($t.$$.fragment,Be),ms=p(Be),kt=i(Be,"P",{});var Sn=l(kt);fs=r(Sn,`The text model from ALIGN without any head or projection on top.
This model inherits from `),co=i(Sn,"A",{href:!0});var Gi=l(co);gs=r(Gi,"PreTrainedModel"),Gi.forEach(o),ps=r(Sn,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Sn.forEach(o),hs=p(Be),wt=i(Be,"P",{});var Fn=l(wt);us=r(Fn,"This model is also a PyTorch "),Tt=i(Fn,"A",{href:!0,rel:!0});var Ri=l(Tt);_s=r(Ri,"torch.nn.Module"),Ri.forEach(o),vs=r(Fn,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Fn.forEach(o),bs=p(Be),S=i(Be,"DIV",{class:!0});var We=l(S);$(yt.$$.fragment,We),As=p(We),de=i(We,"P",{});var wo=l(de);$s=r(wo,"The "),mo=i(wo,"A",{href:!0});var Hi=l(mo);ks=r(Hi,"AlignTextModel"),Hi.forEach(o),ws=r(wo," forward method, overrides the "),Go=i(wo,"CODE",{});var Ui=l(Go);Ts=r(Ui,"__call__"),Ui.forEach(o),ys=r(wo," special method."),wo.forEach(o),xs=p(We),$(je.$$.fragment,We),Cs=p(We),$(Ie.$$.fragment,We),We.forEach(o),Be.forEach(o),kn=p(t),ce=i(t,"H2",{class:!0});var Bn=l(ce);qe=i(Bn,"A",{id:!0,class:!0,href:!0});var Yi=l(qe);Ro=i(Yi,"SPAN",{});var Ki=l(Ro);$(xt.$$.fragment,Ki),Ki.forEach(o),Yi.forEach(o),Ms=p(Bn),Ho=i(Bn,"SPAN",{});var Zi=l(Ho);Ps=r(Zi,"AlignVisionModel"),Zi.forEach(o),Bn.forEach(o),wn=p(t),V=i(t,"DIV",{class:!0});var Ge=l(V);$(Ct.$$.fragment,Ge),Es=p(Ge),Mt=i(Ge,"P",{});var Wn=l(Mt);zs=r(Wn,`The vision model from ALIGN without any head or projection on top.
This model inherits from `),fo=i(Wn,"A",{href:!0});var Ji=l(fo);js=r(Ji,"PreTrainedModel"),Ji.forEach(o),Is=r(Wn,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Wn.forEach(o),qs=p(Ge),Pt=i(Ge,"P",{});var Gn=l(Pt);Ns=r(Gn,"This model is also a PyTorch "),Et=i(Gn,"A",{href:!0,rel:!0});var Qi=l(Et);Vs=r(Qi,"torch.nn.Module"),Qi.forEach(o),Ls=r(Gn,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Gn.forEach(o),Os=p(Ge),F=i(Ge,"DIV",{class:!0});var Re=l(F);$(zt.$$.fragment,Re),Ds=p(Re),me=i(Re,"P",{});var To=l(me);Ss=r(To,"The "),go=i(To,"A",{href:!0});var Xi=l(go);Fs=r(Xi,"AlignVisionModel"),Xi.forEach(o),Bs=r(To," forward method, overrides the "),Uo=i(To,"CODE",{});var el=l(Uo);Ws=r(el,"__call__"),el.forEach(o),Gs=r(To," special method."),To.forEach(o),Rs=p(Re),$(Ne.$$.fragment,Re),Hs=p(Re),$(Ve.$$.fragment,Re),Re.forEach(o),Ge.forEach(o),this.h()},h(){c(d,"name","hf:doc:metadata"),c(d,"content",JSON.stringify(bl)),c(f,"id","align"),c(f,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(f,"href","#align"),c(h,"class","relative group"),c(ge,"id","overview"),c(ge,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ge,"href","#overview"),c(Y,"class","relative group"),c(Ue,"href","https://arxiv.org/abs/2102.05918"),c(Ue,"rel","nofollow"),c(Ot,"href","efficientnet"),c(Dt,"href","bert"),c(Ye,"href","https://huggingface.co/adirik"),c(Ye,"rel","nofollow"),c(he,"id","transformers.AlignConfig"),c(he,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(he,"href","#transformers.AlignConfig"),c(K,"class","relative group"),c(Bt,"href","/docs/transformers/main/en/model_doc/align#transformers.AlignConfig"),c(Wt,"href","/docs/transformers/main/en/model_doc/align#transformers.AlignModel"),c(Je,"href","https://huggingface.co/kakaobrain/align-base"),c(Je,"rel","nofollow"),c(Gt,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),c(Rt,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),c(Ht,"href","/docs/transformers/main/en/model_doc/align#transformers.AlignConfig"),c(_e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ve,"id","transformers.AlignTextConfig"),c(ve,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ve,"href","#transformers.AlignTextConfig"),c(J,"class","relative group"),c(Ut,"href","/docs/transformers/main/en/model_doc/align#transformers.AlignTextModel"),c(ot,"href","https://huggingface.co/kakaobrain/align-base"),c(ot,"rel","nofollow"),c(Yt,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),c(Kt,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),c(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ae,"id","transformers.AlignVisionConfig"),c(Ae,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(Ae,"href","#transformers.AlignVisionConfig"),c(ee,"class","relative group"),c(Zt,"href","/docs/transformers/main/en/model_doc/align#transformers.AlignVisionModel"),c(rt,"href","https://huggingface.co/kakaobrain/align-base"),c(rt,"rel","nofollow"),c(Jt,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),c(Qt,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),c(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ke,"id","transformers.AlignProcessor"),c(ke,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ke,"href","#transformers.AlignProcessor"),c(ne,"class","relative group"),c(Xt,"href","/docs/transformers/main/en/model_doc/efficientnet#transformers.EfficientNetImageProcessor"),c(eo,"href","/docs/transformers/main/en/model_doc/bert#transformers.BertTokenizer"),c(to,"href","/docs/transformers/main/en/model_doc/bert#transformers.BertTokenizerFast"),c(oo,"href","/docs/transformers/main/en/model_doc/owlvit#transformers.OwlViTProcessor.decode"),c(no,"href","/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.batch_decode"),c(we,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ao,"href","/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.decode"),c(Te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ye,"id","transformers.AlignModel"),c(ye,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ye,"href","#transformers.AlignModel"),c(ae,"class","relative group"),c(ro,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),c(ut,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(ut,"rel","nofollow"),c(so,"href","/docs/transformers/main/en/model_doc/align#transformers.AlignModel"),c(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(io,"href","/docs/transformers/main/en/model_doc/align#transformers.AlignModel"),c(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(lo,"href","/docs/transformers/main/en/model_doc/align#transformers.AlignModel"),c(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ze,"id","transformers.AlignTextModel"),c(ze,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(ze,"href","#transformers.AlignTextModel"),c(le,"class","relative group"),c(co,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),c(Tt,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(Tt,"rel","nofollow"),c(mo,"href","/docs/transformers/main/en/model_doc/align#transformers.AlignTextModel"),c(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(qe,"id","transformers.AlignVisionModel"),c(qe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(qe,"href","#transformers.AlignVisionModel"),c(ce,"class","relative group"),c(fo,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),c(Et,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),c(Et,"rel","nofollow"),c(go,"href","/docs/transformers/main/en/model_doc/align#transformers.AlignVisionModel"),c(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,u){e(document.head,d),v(t,b,u),v(t,h,u),e(h,f),e(f,_),k(n,_,null),e(h,m),e(h,C),e(C,Rn),v(t,an,u),v(t,Y,u),e(Y,ge),e(ge,yo),k(He,yo,null),e(Y,Hn),e(Y,xo),e(xo,Un),v(t,rn,u),v(t,L,u),e(L,Yn),e(L,Ue),e(Ue,Kn),e(L,Zn),e(L,Ot),e(Ot,Jn),e(L,Qn),e(L,Dt),e(Dt,Xn),e(L,ea),v(t,sn,u),v(t,St,u),e(St,ta),v(t,ln,u),v(t,Ft,u),e(Ft,Co),e(Co,oa),v(t,dn,u),v(t,pe,u),e(pe,na),e(pe,Ye),e(Ye,aa),e(pe,ra),v(t,cn,u),v(t,K,u),e(K,he),e(he,Mo),k(Ke,Mo,null),e(K,sa),e(K,Po),e(Po,ia),v(t,mn,u),v(t,P,u),k(Ze,P,null),e(P,la),e(P,R),e(R,Bt),e(Bt,da),e(R,ca),e(R,Wt),e(Wt,ma),e(R,fa),e(R,Je),e(Je,ga),e(R,pa),e(P,ha),e(P,Z),e(Z,ua),e(Z,Gt),e(Gt,_a),e(Z,va),e(Z,Rt),e(Rt,ba),e(Z,Aa),e(P,$a),k(ue,P,null),e(P,ka),e(P,_e),k(Qe,_e,null),e(_e,wa),e(_e,Xe),e(Xe,Ta),e(Xe,Ht),e(Ht,ya),e(Xe,xa),v(t,fn,u),v(t,J,u),e(J,ve),e(ve,Eo),k(et,Eo,null),e(J,Ca),e(J,zo),e(zo,Ma),v(t,gn,u),v(t,j,u),k(tt,j,null),e(j,Pa),e(j,Q),e(Q,Ea),e(Q,Ut),e(Ut,za),e(Q,ja),e(Q,ot),e(ot,Ia),e(Q,qa),e(j,Na),e(j,X),e(X,Va),e(X,Yt),e(Yt,La),e(X,Oa),e(X,Kt),e(Kt,Da),e(X,Sa),e(j,Fa),k(be,j,null),v(t,pn,u),v(t,ee,u),e(ee,Ae),e(Ae,jo),k(nt,jo,null),e(ee,Ba),e(ee,Io),e(Io,Wa),v(t,hn,u),v(t,I,u),k(at,I,null),e(I,Ga),e(I,te),e(te,Ra),e(te,Zt),e(Zt,Ha),e(te,Ua),e(te,rt),e(rt,Ya),e(te,Ka),e(I,Za),e(I,oe),e(oe,Ja),e(oe,Jt),e(Jt,Qa),e(oe,Xa),e(oe,Qt),e(Qt,er),e(oe,tr),e(I,or),k($e,I,null),v(t,un,u),v(t,ne,u),e(ne,ke),e(ke,qo),k(st,qo,null),e(ne,nr),e(ne,No),e(No,ar),v(t,_n,u),v(t,q,u),k(it,q,null),e(q,rr),e(q,E),e(E,sr),e(E,Xt),e(Xt,ir),e(E,lr),e(E,eo),e(eo,dr),e(E,cr),e(E,to),e(to,mr),e(E,fr),e(E,Vo),e(Vo,gr),e(E,pr),e(E,oo),e(oo,hr),e(E,ur),e(q,_r),e(q,we),k(lt,we,null),e(we,vr),e(we,dt),e(dt,br),e(dt,no),e(no,Ar),e(dt,$r),e(q,kr),e(q,Te),k(ct,Te,null),e(Te,wr),e(Te,mt),e(mt,Tr),e(mt,ao),e(ao,yr),e(mt,xr),v(t,vn,u),v(t,ae,u),e(ae,ye),e(ye,Lo),k(ft,Lo,null),e(ae,Cr),e(ae,Oo),e(Oo,Mr),v(t,bn,u),v(t,M,u),k(gt,M,null),e(M,Pr),e(M,pt),e(pt,Er),e(pt,ro),e(ro,zr),e(pt,jr),e(M,Ir),e(M,ht),e(ht,qr),e(ht,ut),e(ut,Nr),e(ht,Vr),e(M,Lr),e(M,H),k(_t,H,null),e(H,Or),e(H,re),e(re,Dr),e(re,so),e(so,Sr),e(re,Fr),e(re,Do),e(Do,Br),e(re,Wr),e(H,Gr),k(xe,H,null),e(M,Rr),e(M,O),k(vt,O,null),e(O,Hr),e(O,se),e(se,Ur),e(se,io),e(io,Yr),e(se,Kr),e(se,So),e(So,Zr),e(se,Jr),e(O,Qr),k(Ce,O,null),e(O,Xr),k(Me,O,null),e(M,es),e(M,D),k(bt,D,null),e(D,ts),e(D,ie),e(ie,os),e(ie,lo),e(lo,ns),e(ie,as),e(ie,Fo),e(Fo,rs),e(ie,ss),e(D,is),k(Pe,D,null),e(D,ls),k(Ee,D,null),v(t,An,u),v(t,le,u),e(le,ze),e(ze,Bo),k(At,Bo,null),e(le,ds),e(le,Wo),e(Wo,cs),v(t,$n,u),v(t,N,u),k($t,N,null),e(N,ms),e(N,kt),e(kt,fs),e(kt,co),e(co,gs),e(kt,ps),e(N,hs),e(N,wt),e(wt,us),e(wt,Tt),e(Tt,_s),e(wt,vs),e(N,bs),e(N,S),k(yt,S,null),e(S,As),e(S,de),e(de,$s),e(de,mo),e(mo,ks),e(de,ws),e(de,Go),e(Go,Ts),e(de,ys),e(S,xs),k(je,S,null),e(S,Cs),k(Ie,S,null),v(t,kn,u),v(t,ce,u),e(ce,qe),e(qe,Ro),k(xt,Ro,null),e(ce,Ms),e(ce,Ho),e(Ho,Ps),v(t,wn,u),v(t,V,u),k(Ct,V,null),e(V,Es),e(V,Mt),e(Mt,zs),e(Mt,fo),e(fo,js),e(Mt,Is),e(V,qs),e(V,Pt),e(Pt,Ns),e(Pt,Et),e(Et,Vs),e(Pt,Ls),e(V,Os),e(V,F),k(zt,F,null),e(F,Ds),e(F,me),e(me,Ss),e(me,go),e(go,Fs),e(me,Bs),e(me,Uo),e(Uo,Ws),e(me,Gs),e(F,Rs),k(Ne,F,null),e(F,Hs),k(Ve,F,null),Tn=!0},p(t,[u]){const jt={};u&2&&(jt.$$scope={dirty:u,ctx:t}),ue.$set(jt);const Yo={};u&2&&(Yo.$$scope={dirty:u,ctx:t}),be.$set(Yo);const Ko={};u&2&&(Ko.$$scope={dirty:u,ctx:t}),$e.$set(Ko);const Zo={};u&2&&(Zo.$$scope={dirty:u,ctx:t}),xe.$set(Zo);const It={};u&2&&(It.$$scope={dirty:u,ctx:t}),Ce.$set(It);const Jo={};u&2&&(Jo.$$scope={dirty:u,ctx:t}),Me.$set(Jo);const Qo={};u&2&&(Qo.$$scope={dirty:u,ctx:t}),Pe.$set(Qo);const Xo={};u&2&&(Xo.$$scope={dirty:u,ctx:t}),Ee.$set(Xo);const G={};u&2&&(G.$$scope={dirty:u,ctx:t}),je.$set(G);const en={};u&2&&(en.$$scope={dirty:u,ctx:t}),Ie.$set(en);const tn={};u&2&&(tn.$$scope={dirty:u,ctx:t}),Ne.$set(tn);const on={};u&2&&(on.$$scope={dirty:u,ctx:t}),Ve.$set(on)},i(t){Tn||(w(n.$$.fragment,t),w(He.$$.fragment,t),w(Ke.$$.fragment,t),w(Ze.$$.fragment,t),w(ue.$$.fragment,t),w(Qe.$$.fragment,t),w(et.$$.fragment,t),w(tt.$$.fragment,t),w(be.$$.fragment,t),w(nt.$$.fragment,t),w(at.$$.fragment,t),w($e.$$.fragment,t),w(st.$$.fragment,t),w(it.$$.fragment,t),w(lt.$$.fragment,t),w(ct.$$.fragment,t),w(ft.$$.fragment,t),w(gt.$$.fragment,t),w(_t.$$.fragment,t),w(xe.$$.fragment,t),w(vt.$$.fragment,t),w(Ce.$$.fragment,t),w(Me.$$.fragment,t),w(bt.$$.fragment,t),w(Pe.$$.fragment,t),w(Ee.$$.fragment,t),w(At.$$.fragment,t),w($t.$$.fragment,t),w(yt.$$.fragment,t),w(je.$$.fragment,t),w(Ie.$$.fragment,t),w(xt.$$.fragment,t),w(Ct.$$.fragment,t),w(zt.$$.fragment,t),w(Ne.$$.fragment,t),w(Ve.$$.fragment,t),Tn=!0)},o(t){T(n.$$.fragment,t),T(He.$$.fragment,t),T(Ke.$$.fragment,t),T(Ze.$$.fragment,t),T(ue.$$.fragment,t),T(Qe.$$.fragment,t),T(et.$$.fragment,t),T(tt.$$.fragment,t),T(be.$$.fragment,t),T(nt.$$.fragment,t),T(at.$$.fragment,t),T($e.$$.fragment,t),T(st.$$.fragment,t),T(it.$$.fragment,t),T(lt.$$.fragment,t),T(ct.$$.fragment,t),T(ft.$$.fragment,t),T(gt.$$.fragment,t),T(_t.$$.fragment,t),T(xe.$$.fragment,t),T(vt.$$.fragment,t),T(Ce.$$.fragment,t),T(Me.$$.fragment,t),T(bt.$$.fragment,t),T(Pe.$$.fragment,t),T(Ee.$$.fragment,t),T(At.$$.fragment,t),T($t.$$.fragment,t),T(yt.$$.fragment,t),T(je.$$.fragment,t),T(Ie.$$.fragment,t),T(xt.$$.fragment,t),T(Ct.$$.fragment,t),T(zt.$$.fragment,t),T(Ne.$$.fragment,t),T(Ve.$$.fragment,t),Tn=!1},d(t){o(d),t&&o(b),t&&o(h),y(n),t&&o(an),t&&o(Y),y(He),t&&o(rn),t&&o(L),t&&o(sn),t&&o(St),t&&o(ln),t&&o(Ft),t&&o(dn),t&&o(pe),t&&o(cn),t&&o(K),y(Ke),t&&o(mn),t&&o(P),y(Ze),y(ue),y(Qe),t&&o(fn),t&&o(J),y(et),t&&o(gn),t&&o(j),y(tt),y(be),t&&o(pn),t&&o(ee),y(nt),t&&o(hn),t&&o(I),y(at),y($e),t&&o(un),t&&o(ne),y(st),t&&o(_n),t&&o(q),y(it),y(lt),y(ct),t&&o(vn),t&&o(ae),y(ft),t&&o(bn),t&&o(M),y(gt),y(_t),y(xe),y(vt),y(Ce),y(Me),y(bt),y(Pe),y(Ee),t&&o(An),t&&o(le),y(At),t&&o($n),t&&o(N),y($t),y(yt),y(je),y(Ie),t&&o(kn),t&&o(ce),y(xt),t&&o(wn),t&&o(V),y(Ct),y(zt),y(Ne),y(Ve)}}}const bl={local:"align",sections:[{local:"overview",title:"Overview"},{local:"transformers.AlignConfig",title:"AlignConfig"},{local:"transformers.AlignTextConfig",title:"AlignTextConfig"},{local:"transformers.AlignVisionConfig",title:"AlignVisionConfig"},{local:"transformers.AlignProcessor",title:"AlignProcessor"},{local:"transformers.AlignModel",title:"AlignModel"},{local:"transformers.AlignTextModel",title:"AlignTextModel"},{local:"transformers.AlignVisionModel",title:"AlignVisionModel"}],title:"ALIGN"};function Al(x){return rl(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Cl extends tl{constructor(d){super();ol(this,d,Al,vl,nl,{})}}export{Cl as default,bl as metadata};
